#! /usr/bin/python
# -*- coding: utf-8 -*-

#This file is part of RogueBox Adventures.
#
#    RogueBox Adventures is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    RogueBox Adventures is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with RogueBox Adventures.  If not, see <http://www.gnu.org/licenses/>.
 
texts ={'info_soon' : ('Test Page',
						'Feature comming soon.'),
		'spear' : ('Spears',
					' ',
					'A spear is a weak melee weapon.'),
		'sword' : ('Swords',
					' ',
					'A sword is a medium melee weapon.'),
		'hammer' : ('Hammers',
					' ',
					'A hammer is a heavy melee weapon.'),
		'rune' : ('Runes',
					' ',
					'A rune is a very weak magical',
					'weapon.'),
		'wand' : ('Wands',
					' ',
					'A wand is a weak magical weapon.'),
		'rune staff' : ('Rune Staffs',
					' ',
					'A rune staff is a medium',
					'magical weapon.'),
		'artefact' : ('Artefacts',
					' ',
					'A artefact is a strong magical',
					'weapon.'),
		'helmet' : ('Helmets',
					' ',
					'A helmet can protect your head',
					'of physical damage.'),
		'armor' : ('Armors',
					' ',
					'A armor can protect your body',
					'of physical damage.'),
		'cuisse' : ('Cuisses',
					' ',
					'A cuisse can protect your legs',
					'of physical damage.'),
		'shoes' : ('Shoes',
					' ',
					'Shoes can protect your feet',
					'of physical damage.'),
		'axe' : ('Axes',
				' ',
				'A axe is a tool to chop',
				'down trees.'),
		'pickaxe'  : ('Pickaxes',
					' ',
					'A pickaxe is a tool to break',
					'rock.'),
		'ring' : ('Rings',
				' ',
				'A ring can increase your will.'),
		'amulet' : ('Amulets',
					' ',
					'A amulet can increase your will.'),
		'talisman' : ('Talismans',
					' ',
					'A talisman can increase your luck.'),
		'necklace' : ('Necklaces',
					' ',
					'A necklace can increase your luck.'),
		'decorative_clothes' : ('Decorative Clothes',
								' ',
								'This item changes the way you',
								'look like.'),
		'Fontain' : ('Fontain',
					' ',
					'Can be placed and used',
					'as water source.'),
		'Chest' : ('Chest',
					' ',
					'Can be placed and used',
					'to store items.'),
		'Bed' : ('Bed',
				' ',
				'Can be placed and used',
				'to sleep inside.'),
		'Carpenter\'s workbench' : ('Carpenter\'s workbench',
									' ',
									'Can be placed and used',
									'to craft wooden furniture.'),
		'Carvers\'s workbench' : ('Carver\'s workbench',
									' ',
									'Can be placed and used',
									'to craft wooden items.'),
		'Stonecutter\'s workbench' : ('Stonecutter\'s workbench',
									' ',
									'Can be placed and used',
									'to craft stone furniture.'),
		'Forger\'s workbench' : ('Forger\'s workbench',
								' ',
								'Can be placed and used',
								'to forge items.'),
		'Alchemist\'s workshop' : ('Alchemist\'s workshop',
									' ',
									'Can be placed and used',
									'to brew potions.'),
		'Furnace' : ('Furnace',
					' ',
					'Can be placed and used',
					'to cook food.'),
		'Altar' : ('Altar',
					' ',
					'Can be placed and used',
					'to worship the gods or',
					'identify items.'),
		'Table' : ('Table',
					' ',
					'Decorative Furniture that',
					'can be placed.'),
		'Wooden seat' : ('Wooden seat',
						' ',
						'Decorative Furniture that',
						'can be placed.'),
		'Stone seat' : ('Stone seat',
						' ',
						'Decorative Furniture that',
						'can be placed.'),
		'Bookshelf' : ('Bookshelf',
						' ',
						'Decorative Furniture that',
						'can be placed.'),
		'Pilar' : ('Pilar',
					' ',
					'Decorative Furniture that',
					'can be placed.'),
		'Fishing rod' : ('Fisching Rod',
						' ',
						'Can be used close to waters',
						'in order to catch fish.'),
		'Blueprint' : ('Blueprint',
						' ',
						'Blueprints change the way your',
						'buildings look like.'),
		'Bomb' : ('Bomb',
				' ',
				'Can be placed and will',
				'explode after 3 turns.'),
		'Scroll' : ('Scroll',
					' ',
					'Scrolls can be used to',
					'cast spells.',
					'They will disappear after',
					'reading them.'),
		'Spellbook' : ('Spellbook',
						' ',
						'Spellbooks can be used to',
						'cast spells.',
						'You will loose your focus',
						'by reading them.'),
		'Mysterious Blue Crystal' : ('Mysterious Blue Crystal',
									' ',
									'Breaking a Mysterious Blue',
									'Crystal will reduce the time',
									'you need to get focused',
									'permanently.'),
		'Heart-Shaped Crystal' : ('Heart-Shaped Crystal',
									' ',
									'Breaking a Heart-Shaped Crystal',
									'will raise your max. LP.'),
		'Enchanted Enhancement Powder' : ('Enchanted Enhancement Powder',
										' ',
										'Enhances worn weapons or',
										'armor.'),
		'Heavy Bag' : ('Heavy Bag',
						' ',
						'What may be inside?'),
		'Torch' : ('Torch',
					' ',
					'Can be used to',
					'illuminate dark places.'),
		'Scrub seed' : ('Scrub seed',
						' ',
						'Can be used to plant',
						'a new scrub.'),
		'Sapling' : ('Sapling',
						' ',
						'Can be used to plant',
						'a new tree.'),
		'Small cactus' : ('Small cactus',
						' ',
						'Can be used to plant',
						'a new cactus.'),
		'Palm sapling' : ('Palm sapling',
						' ',
						'Can be used to plant',
						'a new palm.'),
		'Chalk' : ('Chalk',
					' ',
					'Can be used to write',
					'a magic word on the',
					'ground. Monsters can not',
					'pass this sign.'),
		'Strength' : ('Strength',
						' ',
						'Determies your ability',
						'to DEAL PHYSICAL DAMAGE.'),
		'Skill' : ('Skill',
						' ',
						'Determies your ability',
						'to AVOID PHYSICAL DAMAGE.'),
		'Power' : ('Power',
						' ',
						'Determies your ability',
						'to DEAL MAGICAL DAMAGE.'),
		'Will' : ('Will',
						' ',
						'Determies your ability',
						'to AVOID MAGICAL DAMAGE.'),
		'Health' : ('Health',
						' ',
						'Determies your number',
						'of HEALTH POINTS.'),
		'Weapon Crafting' : ('Weapon Crafting',
							 ' ',
							 'Determies which',
							 'weapons you can',
							 'craft.'),
		'Metallurgy' : ('Metallurgy',
						' ',
						'Determies which',
						'metals you can',
						'extract from ore.'),
		'Alchemy' : ('Alchemy',
					 ' ',
					 'Determies which',
					 'potions you can',
					 'brew.'),
		'Woodcutting' : ('Woodcutting',
						 ' ',
						 'Determies how many',
						 'wood can be gained',
						 'by felling trees.'),
		'Mining' : ('Mining',
					' ',
					'Determies how many',
					'resources can be',
					'gained by mining',
					'Rock/Ore/Gems.'),
		'Fridge' : ('Fridge',
						' ',
						'A special pice of',
						'furniture to store food',
						'inside'),
		'Camera' : ('Camera',
						' ',
						'Can be used to take a photo.',
						'(Saved in \'SCREENSHOT\')'),
		'Crystal orb' : ('Crystal orb',
						' ',
						'Look inside and see where',
						'dungeon entraces are.'),
		'Naga statue' : ('Naga statue',
						' ',
						'A stony statue of a female',
						'naga.'),
		'Orc statue' : ('Orc statue',
						' ',
						'A stony statue of a male',
						'orc.'),
		'Blob statue' : ('Orc statue',
						' ',
						'A stony statue of a small',
						'blob.'),
		'Elf statue' : ('Elf statue',
						' ',
						'A stony statue of a male',
						'elf.'),
		'Neko statue' : ('Neko statue',
						' ',
						'A stony statue of a female',
						'neko.'),
		'Pendulum clock' : ('Pendulum clock',
						' ',
						'A pendulum clock, crafted',
						'by dwarf mechanics in',
						'ancient times.'),
		'Coffin' : ('Coffin',
						' ',
						'A coffin was used to bury',
						'the dead in past times.'),
		'Candleholder' : ('Candleholder',
						' ',
						'A candleholder with three',
						'cursed candles, that can\'t',
						'illumine their surrounding.'),
		'Hourglass' : ('Hourglass',
						' ',
						'A hourglass was used for',
						'chronometry in old times.'),
		'Ancient idol' : ('Ancient idol',
						' ',
						'A golden statue of a long',
						'forgotten deity.'),
		'Sarcophagus' : ('Sarcophagus',
						' ',
						'A sarcophagus is used to',
						'bury noble people.'),
		'Bonsai' : ('Bonsai',
						' ',
						'A groth-restricted tree',
						'inside a flowerpot.'),
		'Houseplant' : ('Houseplant',
						' ',
						'A beautiful, little plant',
						'inside a plant pot.'),
		'Wooden throne' : ('Wooden throne',
						' ',
						'A royal seat!',
						'It is made of finest wood.'),
		'Stony throne' : ('Stony throne',
						' ',
						'A royal seat!',
						'It is made of finest stone.'),
		'Book of Skill': ('Book of Skill',
						' ',
						'A magic book that is able',
						'to improve the skills of',
						'the one who reads it.'),
		'Night Vision Potion': ('Night Vision Potion',
						' ',
						'Grants you 12 hours of',
						'Night Vision.'),
		'Iron Skin Potion': ('Iron Skin Potion',
						' ',
						'Grants you +50% of',
						'Skill/Will for 30 minutes.'),
		'Berzerk Potion': ('Berzerk Potion',
						' ',
						'Grants you +50% of',
						'Strenght/Power for 30 minutes.'),
		'Potion of Fire Resistance': ('Potion of Fire Resistance',
						' ',
						'Grants you 3 hours of',
						'Fire Resistance.'),
		'Heated Stone': ('Heated Stone',
						' ',
						'A hot stone that does not',
						'seem to cool down.',
						'Can light up flamable objects!' ),
		'Brimstone': 	('Brimstone',
						' ',
						'Highly flamable!'),
		'Explosive': 	('Explosive',
						' ',
						'Danger!',
						'Highly explosive!',
						'Keep away from heat sources!' ),
		'Bandage':	 	('Bandage',
						' ',
						'Can cure bleeding wounds.'),
		'Eyedrops':	 	('Eyedrops',
						' ',
						'Can cure blindness.'),
		'Antidote':	 	('Antidote',
						' ',
						'Can cure poisonings.'),
		'Holy Water':	 	('Holy Water',
							' ',
							'Can remove hexes.'),
		'Stone':	 	('Stone',
						' ',
						'Throwable item.',
						'Does 1 LP damage.'),
		'Dart':	 		('Dart',
						' ',
						'Throwable item.',
						'Does 2 LP damage.'),
		'Throwing Knife':	 	('Throwing Knife',
								' ',
								'Throwable item.',
								'Does 3 LP damage.'),
		'Magic Map':	 	('Magic Map',
							' ',
							'Shows you already explored.',
							'aread of the map.'),
				}
