#This file is part of RogueBox Adventures.
#
#    RogueBox Adventures is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    RogueBox Adventures is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with RogueBox Adventures.  If not, see <http://www.gnu.org/licenses/>.

import pickle as p
from item import item_food, item_misc, decorative_clothing

class itemlist():
	
	def __init__(self):
		
		self.ilist = {'misc' : [], 'food' : [], 'clothe' : [], 'special_clothe' : []}
		techID = 0
		
		t=item_misc(techID, 'Fontain', 'place', 'functional', 7)#0
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Chest', 'place', 'functional' ,3)#empty chest
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Bed', 'place', 'functional', 8)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Carpenter\'s workbench', 'place', 'functional', 9)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Carver\'s workbench', 'place', 'functional', 10)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Stonecutter\'s workbench', 'place', 'functional', 11)#5
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Forger\'s workbench', 'place', 'functional', 12)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Alchemist\'s workshop', 'place', 'functional', 13)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Furnace', 'place', 'functional', 14)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Altar', 'place', 'functional', 15)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Table', 'place', 'functional', 16)#10
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Wooden seat', 'place', 'functional', 17)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Stone seat', 'place', 'functional', 18)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Bookshelf', 'place', 'functional', 19)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Fishing rod', 'use', 0, 0)
		self.ilist['misc'].append(t)
		techID += 1
		#For blueprints it is important to use the une_name 'apply'. This one is only allowed for blueprints.
		#place_cat and place _num must show on the coresponding floor. The wall to the floor must be the next item inside the tiles list.
		t=item_misc(techID, 'Ordinary Blueprint', 'apply', 'building', 0)#15
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Blue Blueprint', 'apply', 'building', 9)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Green Blueprint', 'apply', 'building', 11)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Red Blueprint', 'apply', 'building', 13)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Orange Blueprint', 'apply', 'building', 15)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Purple Blueprint', 'apply', 'building', 17)#20
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Pilar', 'place', 'functional', 22)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Orcish Blueprint', 'apply', 'building', 19)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Nobel Blueprint', 'apply', 'building', 21)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Bomb', 'place', 'effect', 0, max_stack_size = 5)
		self.ilist['misc'].append(t)
		techID += 1
		#only scrolls and spellbooks can use the use_name 'read'
		t=item_misc(techID, 'Scroll of Identify', 'read', None, None, 0, max_stack_size = 5)#25
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Spellbook of Identify', 'read', None, None, 0)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Scroll of Repair', 'read', None, None, 1, max_stack_size = 5)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Spellbook of Repair', 'read', None, None, 1)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Scroll of Healing', 'read', None, None, 2, max_stack_size = 5)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Spellbook of Healing', 'read', None, None, 2)#30
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Scroll of Teleport', 'read', None, None, 3, max_stack_size = 5)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Spellbook of Teleport', 'read', None, None, 3)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Scroll of Return', 'read', None, None, 4, max_stack_size = 5)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Spellbook of Return', 'read', None, None, 4)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Scroll of Flames', 'read', None, None, 5, max_stack_size = 5)#35
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Spellbook of Flames', 'read', None, None, 5)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Scroll of Healing Aura', 'read', None, None, 6, max_stack_size = 5)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Spellbook of Healing Aura', 'read', None, None, 6)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Elfish Blueprint', 'apply', 'building', 23)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Heart-Shaped Crystal', 'break', None, None, None)#40
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Mysterious Blue Crystal', 'break', None, None, None)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Enchanted Enhancement Powder', 'use', None, None, None)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Heavy Bag', 'open', None, None, None)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Torch', 'light', None, None, None, max_stack_size = 9)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Scroll of Light', 'read', None, None, 7, max_stack_size = 5)#45
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Spellbook of Light', 'read', None, None, 7)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Scrub seed', 'plant', 'local', 6, max_stack_size = 9)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Sapling', 'plant', 'local', 10, max_stack_size = 9)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Small cactus', 'plant', 'extra', 3, max_stack_size = 9)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Palm sapling', 'plant', 'extra', 10, max_stack_size = 9)#50
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Chalk', 'use', None, None, None)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Fridge', 'place', 'functional', 24)#empty fridge
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Camera', 'use', None, None, None)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Crystal orb', 'use', None, None, None)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Naga statue', 'place', 'statue', 0)#55
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Orc statue', 'place', 'statue', 1)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Blob statue', 'place', 'statue', 2)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Elf statue', 'place', 'statue', 3)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Neko statue', 'place', 'statue', 4)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Pendulum clock', 'place', 'deco', 0)#60
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Coffin', 'place', 'deco', 1)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Candleholder', 'place', 'deco', 2)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Hourglass', 'place', 'deco', 3)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Ancient idol', 'place', 'deco', 4)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Sarcophagus', 'place', 'deco', 5)#65
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Bonsai', 'place', 'deco', 6)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Houseplant', 'place', 'deco', 7)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Wooden throne', 'place', 'deco', 8)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Stony throne', 'place', 'deco', 9)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Book of Skill', 'read', None, None, 8)#70
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Heated Stone', 'place', 'functional', 28, max_stack_size = 9)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Explosive', 'place', 'effect', 7,max_stack_size = 9)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Brimstone', 'place', 'functional', 29, max_stack_size = 5)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Bandage', 'use', max_stack_size = 5)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Eyedrops', 'use', max_stack_size = 5)#75
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Antidote', 'use', max_stack_size = 5)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Holy Water', 'use', max_stack_size = 5)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Stone', 'throw', None, None, 2, max_stack_size = 9)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Dart', 'throw', None, None, 3, max_stack_size = 9)
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Throwing Knife', 'throw', None, None, 4, max_stack_size = 9) #80
		self.ilist['misc'].append(t)
		techID += 1
		t=item_misc(techID, 'Magic Map', 'use')
		self.ilist['misc'].append(t)
		techID += 1
		
		#food items

		t=item_food(techID, 'Red Berries', 200,600, 0, 0, 0, 0, 0, 0, 1, 1, 'You eat some sweet red berries.')#0
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Blue Mushroom', 200, 1040, 0, 0, 0, 0, 0, 0, 4, 0, 'You eat a jucy blue mushroom.')#1
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Brown Mushroom', 800, 0, 0, 0, 0, 0, 0, 0, 4, 0, 'You eat a tasty brown mushroom.')#2
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Purple Mushroom', 200, -400, 800, 0, 0, 0, 0, 0, 4, 0, 'You eat a refreshing purple mushroom.')#3
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Fish', 600, 0, 0, 0, 0, 0, 0, 0, 1, 0, 'Bah! This is raw!.')#4
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Grilled Fish', 1200, 0, 0, 0, 0, 0, 0, 0, 5, 0, 'Delicious!')#5
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Crops', 100, -400, 0, 0, 0, 0, 0, 0, False, 3, 'Dry and tasteless.')#6
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Bread', 1200, 0, 0, 0, 0, 0, 0, 0, 6, 0, 'You eat a bread.')#7
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Rusk', 1200, -400, 0, 0, 0, 0, 0, 0, False, 0, 'You eat some rusk.')#8
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Raw Meat', 700, 0, 0, 0, 0, 0, 0, 0, 2, 0, 'Bah! This is Raw!')#9
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Grilled Meat', 1400, 0, 0, 0, 0, 0, 0, 0, 6, 0, 'Delicious!')#10
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Cultivated Mushroom', 200, 200, 0, 0, 0, 0, 0, 0, 6, 2, 'Tasteless...')#11
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Grilled Mushroom', 600, 0, 0, 0, 0, 0, 0, 0, 6, 0, 'Delicious!')#12
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Potion of Healing', 0, 0, 0, 7, 0, 0, 0, 0, False, 0, 'You drink a potion of healing.', 'drink')#13
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Potion of Feeding', 700, 0, 0, 0, 0, 0, 0, 0, False, 0, 'You drink a potion of feeding.', 'drink')#14
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Potion of Refreshing', 0, 700, 0, 0, 0, 0, 0, 0, False, 0, 'You drink a potion of refreshing.', 'drink')#15
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Potion of Vitalising', 0, 0, 700, 0, 0, 0, 0, 0, False, 0, 'You drink a potion of vitalising.', 'drink')#16
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Strong Potion of Healing', 0, 0, 0, 15, 0, 0, 0, 0, False, 0, 'You drink a strong potion of healing.', 'drink')#17
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Strong Potion of Feeding', 1400, 0, 0, 0, 0, 0, 0, 0, False, 0, 'You drink a strong potion of feeding.', 'drink')#18
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Strong Potion of Refreshing', 0, 1400, 0, 0, 0, 0, 0, 0, False, 0, 'You drink a strong potion of refreshing.', 'drink')#19
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Strong Potion of Vitalising', 0, 0, 1400, 0, 0, 0, 0, 0, False, 0, 'You drink a strong potion of vitalising.', 'drink')#20
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Potion of Hunger', 0, 0, 0, 0, 100, 0, 0, 0, False, 0, 'Your stomach grows.', 'drink')#21
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Potion of Thirst', 0, 0, 0, 0, 0, 100, 0, 0, False, 0, 'You feel like a camel.', 'drink')#22
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Potion of Tiredness', 0, 0, 0, 0, 0, 0, 100, 0, False, 0, 'You feel like a owl.', 'drink')#23
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Potion of Tife', 0, 0, 0, 0, 0, 0, 0, 1, False, 0, 'You feel stronger now.', 'drink')#24
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Jellyfish', 0, 0, 0, -2, 0, 0, 0, 0, False, 0, 'Ugh... That must have been poisoness.')#25
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Grilled Jellyfish', 800, 0, 0, 0, 0, 0, 0, 0, False, 0, 'Tastes like chicken...')#26
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Blue Berries', 100,1000, 0, 0, 0, 0, 0, 0, 1, 1, 'You eat some juicy blue berries.')#27
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Yellow Berries', 700,200, 0, 0, 0, 0, 0, 0, 1, 1, 'You eat some tasty yellow berries.')#28
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Red Jelly', 300,200, 0, 0, 0, 0, 0, 0, False, 0, 'You eat some tasty red jelly.')#29
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Blue Jelly', 200,200, 0, 0, 0, 0, 0, 0, False, 0, 'You eat some tasty blue jelly.')#30
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Yellow Jelly', 800,100, 0, 0, 0, 0, 0, 0, False, 0, 'You eat some tasty yellow jelly.')#31
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Night Vision Potion', 0 ,0 , 0, 0, 0, 0, 0, 0, False, 0, 'You have night vision now.', 'drink', effect='night vision', effect_duration=240 )#32
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Iron Skin Potion', 0 ,0 , 0, 0, 0, 0, 0, 0, False, 0, 'Your skin feels stronger.', 'drink', effect='iron skin', effect_duration=30 )#33
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Berzerk Potion', 0 ,0 , 0, 0, 0, 0, 0, 0, False, 0, 'You feel the rage.', 'drink', effect='berzerk', effect_duration=30 )#34
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Potion of Fire Resistance', 0 ,0 , 0, 0, 0, 0, 0, 0, False, 0, 'You got fire resistant.', 'drink', effect='fire resistance', effect_duration=180 )#35
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Fire Leaves', 0 ,0 , 0, 0, 0, 0, 0, 0, False, 0, 'You got fire resistant.', 'eat', effect='fire resistance', effect_duration=20 )#36
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Yellow Mushroom', 800, 0, 0, 0, 0, 0, 0, 0, 4, 0, 'You eat a tasty yellow mushroom.', 'eat', effect='night vision', effect_duration=40)#37
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Corn', 400,600, 0, 0, 0, 0, 0, 0, 3, 4, 'You eat tasty corn.')#38
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Popcorn', 300,00, 0, 0, 0, 0, 0, 0, False, 0, 'You eat some sweet popcorn.')#39
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Apple', 300,100, 0, 1, 0, 0, 0, 0, 3, 1, 'You eat a tasty apple.')#40
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Grilled Apple', 600,50, 0, 2, 0, 0, 0, 0, 7, 0, 'You eat a grilled apple.')#41
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Golden Apple', 600,200, 0, 2, 0, 0, 0, 0, 3, 1, 'You eat a tasty golden apple.')#42
		self.ilist['food'].append(t)
		techID += 1
		t=item_food(techID, 'Grilled Golden Apple', 900,100, 0, 5, 0, 0, 0, 0, 7, 0, 'You eat a grilled golden apple.')#43
		self.ilist['food'].append(t)
		techID += 1

		#clothing items
		
		t=decorative_clothing(techID,'Red Tunica','Clothing',(2,0),(2,1))#0
		self.ilist['clothe'].append(t)
		techID += 1
		t=decorative_clothing(techID,'Blue Tunica','Clothing',(0,0),(0,1))#1
		self.ilist['clothe'].append(t)
		techID += 1
		t=decorative_clothing(techID,'Green Tunica','Clothing',(1,0),(1,1))#2
		self.ilist['clothe'].append(t)
		techID += 1
		t=decorative_clothing(techID,'Neko Ears','Background',(0,2),(0,2))#3
		self.ilist['clothe'].append(t)
		techID += 1
		t=decorative_clothing(techID,'Simple Hat','Hat',(0,3),(0,4))#4
		self.ilist['clothe'].append(t)
		techID += 1
		t=decorative_clothing(techID,'Orcish Helmet','Hat',(0,5),(0,5),override_hair=True)#5
		self.ilist['clothe'].append(t)
		techID += 1
		t=decorative_clothing(techID,'Eye patch','Hat',(1,3),(1,4),override_hair=False)#6
		self.ilist['clothe'].append(t)
		techID += 1
		t=decorative_clothing(techID,'Woodlander Cloths','Clothing',(3,0),(3,1))#7
		self.ilist['clothe'].append(t)
		techID += 1
		t=decorative_clothing(techID,'Red Beard','Clothing',(2,3),(2,3))#8
		self.ilist['clothe'].append(t)
		techID += 1
		t=decorative_clothing(techID,'Black Beard','Clothing',(2,4),(2,4))#9
		self.ilist['clothe'].append(t)
		techID += 1
		t=decorative_clothing(techID,'White Beard','Clothing',(2,5),(2,5))#10
		self.ilist['clothe'].append(t)
		techID += 1
		t=decorative_clothing(techID,'Miner\'s Helmet','Hat',(1,5),(1,5),override_hair=True)#11
		self.ilist['clothe'].append(t)
		techID += 1
		t=decorative_clothing(techID,'Horns','Hat',(3,2),(3,3))#12
		self.ilist['clothe'].append(t)
		techID += 1
		
		#special clothes
		
		t=decorative_clothing(techID,'Dark Wings','Background',(2,2),(2,2))#0
		self.ilist['special_clothe'].append(t)
		techID += 1
		t=decorative_clothing(techID,'Light Wings','Background',(1,2),(1,2))#1
		self.ilist['special_clothe'].append(t)
		techID += 1
